Subject: Re: srand48 in B20.
From: "John Huddleston" <[email-masked]>
To: "Ian Miller" <[email-masked]>, "Cygwin Mailing List" <[email-masked]>
Date: Fri, 18 Feb 2000 05:51:24 -0700

I ran into this problem when compiling the GRASS5
source code.   Here was my solution

#ifdef __CYGWIN__
#define lrand48() rand()/32767.0
#define srand48(sv) (srand((unsigned)(sv)))
#else
extern long lrand48();
extern void srand48();
#endif

John Huddleston

----- Original Message -----
From: Ian Miller <[email-masked]>
To: Cygwin Mailing List <[email-masked]>
Sent: Thursday, February 17, 2000 8:46 PM
Subject: srand48 in B20.

>
> Hi, I'm having a problem with the first (!) program I've tried to compile
> under cygwin - I'm hoping it's something simple that you'll all be able to
> spot right away from this linker output?
>
> I've had a hunt around in the include headers, and I can't seem to find
one
> that actually has srand48 or lrand48 in it... it should be in <stdlib.h>
> shouldn't it?
>
> --- begin linker errors ---
>
> gcc -o 1BC error.o input_output.o gestion.o eval.o search.o write.o
bayes.o 1BC.
> o -lm
> eval.o(.text+0x23):eval.c: undefined reference to `lrand48'
> search.o(.text+0x42a8):search.c: undefined reference to `srand48'
> collect2: ld returned 1 exit status
> make: *** [1BC] Error 1
>
> --- end linker errors ---
>
> cheers,
> ian
>
> --
>
+------------------------------+--------------------------------------------
--+
> | ian miller                   | My other MUA is a GNU.
|
> | [email-masked]  | http://www.gingerspice.demon.co.uk
|
>
+------------------------------+--------------------------------------------
--+
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]